# Class MetalComboBoxUI.MetalComboBoxLayoutManager

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `MetalComboBoxUI`

public class MetalComboBoxUI.MetalComboBoxLayoutManager extends BasicComboBoxUI.ComboBoxLayoutManager
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalComboBoxUI`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalComboBoxLayoutManager()`
  Constructs a `MetalComboBoxLayoutManager`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `superLayout(Container parent)`
  Lays out the parent container.

  ### Methods declared in class BasicComboBoxUI.ComboBoxLayoutManager

  `addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`
  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
  `void`
  `layoutContainer(Container parent)`
  Lays out the specified container.
  `Dimension`
  `minimumLayoutSize(Container parent)`
  Calculates the minimum size dimensions for the specified container, given the components it contains.
  `Dimension`
  `preferredLayoutSize(Container parent)`
  Calculates the preferred size dimensions for the specified container, given the components it contains.
  `void`
  `removeLayoutComponent(Component comp)`
  Removes the specified component from the layout.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MetalComboBoxLayoutManager

    public MetalComboBoxLayoutManager()
    Constructs a `MetalComboBoxLayoutManager`.

- ## Method Details

  - ### superLayout

    public void superLayout(Container parent)
    Lays out the parent container.
    Parameters:
      `parent` - a container